[
    {
        "name": "topthink/think-installer",
        "version": "v1.0.12",
        "version_normalized": "1.0.12.0",
        "source": {
            "type": "git",
            "url": "https://github.com/top-think/think-installer.git",
            "reference": "1be326e68f63de4e95977ed50f46ae75f017556d"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/top-think/think-installer/zipball/1be326e68f63de4e95977ed50f46ae75f017556d",
            "reference": "1be326e68f63de4e95977ed50f46ae75f017556d",
            "shasum": ""
        },
        "require": {
            "composer-plugin-api": "^1.0"
        },
        "require-dev": {
            "composer/composer": "1.0.*@dev"
        },
        "time": "2017-05-27 06:58:09",
        "type": "composer-plugin",
        "extra": {
            "class": "think\\composer\\Plugin"
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "think\\composer\\": "src"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "yunwuxin",
                "email": "448901948@qq.com"
            }
        ]
    },
    {
        "name": "topthink/framework",
        "version": "v5.0.10",
        "version_normalized": "5.0.10.0",
        "source": {
            "type": "git",
            "url": "https://github.com/top-think/framework.git",
            "reference": "e428c43ec5138c989cfdb38ac300a964ad77f9cb"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/top-think/framework/zipball/e428c43ec5138c989cfdb38ac300a964ad77f9cb",
            "reference": "e428c43ec5138c989cfdb38ac300a964ad77f9cb",
            "shasum": ""
        },
        "require": {
            "php": ">=5.4.0",
            "topthink/think-installer": "~1.0"
        },
        "require-dev": {
            "johnkary/phpunit-speedtrap": "^1.0",
            "mikey179/vfsstream": "~1.6",
            "phpdocumentor/reflection-docblock": "^2.0",
            "phploc/phploc": "2.*",
            "phpunit/phpunit": "4.8.*",
            "sebastian/phpcpd": "2.*"
        },
        "time": "2017-07-05 03:35:06",
        "type": "think-framework",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "think\\": "library/think"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "Apache-2.0"
        ],
        "authors": [
            {
                "name": "liu21st",
                "email": "liu21st@gmail.com"
            }
        ],
        "description": "the new thinkphp framework",
        "homepage": "http://thinkphp.cn/",
        "keywords": [
            "framework",
            "orm",
            "thinkphp"
        ]
    },
    {
        "name": "cloudxns/cloud-xns-api-sdk-php",
        "version": "V1.0",
        "version_normalized": "1.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/CloudXNS/CloudXNS-API-SDK-PHP.git",
            "reference": "77cef883d6c6d348d3dc1c6edf51dac10f90e198"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/CloudXNS/CloudXNS-API-SDK-PHP/zipball/77cef883d6c6d348d3dc1c6edf51dac10f90e198",
            "reference": "77cef883d6c6d348d3dc1c6edf51dac10f90e198",
            "shasum": ""
        },
        "require-dev": {
            "guzzlehttp/guzzle": "~5.0"
        },
        "time": "2016-01-26 09:30:53",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "CloudXNS\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "CloudXNS",
                "email": "support@cloudxns.net"
            }
        ],
        "description": "CloudXNS SDK FILES",
        "homepage": "https://www.cloudxns.net/"
    },
    {
        "name": "react/promise",
        "version": "v2.5.1",
        "version_normalized": "2.5.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/reactphp/promise.git",
            "reference": "62785ae604c8d69725d693eb370e1d67e94c4053"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/reactphp/promise/zipball/62785ae604c8d69725d693eb370e1d67e94c4053",
            "reference": "62785ae604c8d69725d693eb370e1d67e94c4053",
            "shasum": ""
        },
        "require": {
            "php": ">=5.4.0"
        },
        "require-dev": {
            "phpunit/phpunit": "~4.8"
        },
        "time": "2017-03-25 12:08:31",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "React\\Promise\\": "src/"
            },
            "files": [
                "src/functions_include.php"
            ]
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Jan Sorgalla",
                "email": "jsorgalla@gmail.com"
            }
        ],
        "description": "A lightweight implementation of CommonJS Promises/A for PHP",
        "keywords": [
            "promise",
            "promises"
        ]
    },
    {
        "name": "guzzlehttp/streams",
        "version": "3.0.0",
        "version_normalized": "3.0.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/streams.git",
            "reference": "47aaa48e27dae43d39fc1cea0ccf0d84ac1a2ba5"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/streams/zipball/47aaa48e27dae43d39fc1cea0ccf0d84ac1a2ba5",
            "reference": "47aaa48e27dae43d39fc1cea0ccf0d84ac1a2ba5",
            "shasum": ""
        },
        "require": {
            "php": ">=5.4.0"
        },
        "require-dev": {
            "phpunit/phpunit": "~4.0"
        },
        "time": "2014-10-12 19:18:40",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "3.0-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\Stream\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            }
        ],
        "description": "Provides a simple abstraction over streams of data",
        "homepage": "http://guzzlephp.org/",
        "keywords": [
            "Guzzle",
            "stream"
        ]
    },
    {
        "name": "guzzlehttp/ringphp",
        "version": "1.1.0",
        "version_normalized": "1.1.0.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/RingPHP.git",
            "reference": "dbbb91d7f6c191e5e405e900e3102ac7f261bc0b"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/RingPHP/zipball/dbbb91d7f6c191e5e405e900e3102ac7f261bc0b",
            "reference": "dbbb91d7f6c191e5e405e900e3102ac7f261bc0b",
            "shasum": ""
        },
        "require": {
            "guzzlehttp/streams": "~3.0",
            "php": ">=5.4.0",
            "react/promise": "~2.0"
        },
        "require-dev": {
            "ext-curl": "*",
            "phpunit/phpunit": "~4.0"
        },
        "suggest": {
            "ext-curl": "Guzzle will use specific adapters if cURL is present"
        },
        "time": "2015-05-20 03:37:09",
        "type": "library",
        "extra": {
            "branch-alias": {
                "dev-master": "1.1-dev"
            }
        },
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\Ring\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            }
        ],
        "description": "Provides a simple API and specification that abstracts away the details of HTTP into a single PHP function."
    },
    {
        "name": "guzzlehttp/guzzle",
        "version": "5.3.1",
        "version_normalized": "5.3.1.0",
        "source": {
            "type": "git",
            "url": "https://github.com/guzzle/guzzle.git",
            "reference": "70f1fa53b71c4647bf2762c09068a95f77e12fb8"
        },
        "dist": {
            "type": "zip",
            "url": "https://api.github.com/repos/guzzle/guzzle/zipball/70f1fa53b71c4647bf2762c09068a95f77e12fb8",
            "reference": "70f1fa53b71c4647bf2762c09068a95f77e12fb8",
            "shasum": ""
        },
        "require": {
            "guzzlehttp/ringphp": "^1.1",
            "php": ">=5.4.0"
        },
        "require-dev": {
            "ext-curl": "*",
            "phpunit/phpunit": "^4.0"
        },
        "time": "2016-07-15 19:28:39",
        "type": "library",
        "installation-source": "dist",
        "autoload": {
            "psr-4": {
                "GuzzleHttp\\": "src/"
            }
        },
        "notification-url": "https://packagist.org/downloads/",
        "license": [
            "MIT"
        ],
        "authors": [
            {
                "name": "Michael Dowling",
                "email": "mtdowling@gmail.com",
                "homepage": "https://github.com/mtdowling"
            }
        ],
        "description": "Guzzle is a PHP HTTP client library and framework for building RESTful web service clients",
        "homepage": "http://guzzlephp.org/",
        "keywords": [
            "client",
            "curl",
            "framework",
            "http",
            "http client",
            "rest",
            "web service"
        ]
    }
]
